using System.Windows;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Tasks;

namespace ShareStatusSample
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Instanzierung des ShareStatusTask
        private ShareStatusTask myShareStatusTask = new ShareStatusTask();

        // Hauptkonstruktor
        public MainPage()
        {
            InitializeComponent();
        }

        // Ereignismethode der Schaltflaeche
        private void btn_ShareStatusTask_Click(object sender, RoutedEventArgs e)
        {
            // Statusnachricht im Task setzen
            myShareStatusTask.Status = tbx_Status.Text;

            // Dialog des ShareStatusTask anzeigen
            myShareStatusTask.Show();
        }
    }
}